<div class="wrap flexicache">

<div id="icon-options-general" class="icon32"></div>

<h2>Vidlinkr</h2>

<p>Hi, this is where we’ll talk you through getting started with Vidlinkr. It’s an easy three step process and we should have you up and running in no time at all!</p>

<h3>1. Create a Vidlinkr account</h3>
<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)): // begin if there is an private API key set ?>
<p>Looks like you've done this :)</p>
<?php else: ?>
<p><a target="vidlinkr_install" href="http://install.coull.com/signup?referer=wpplugin">Click here to create your Vidlinkr account.</a></p>
<?php endif; ?>

<h3>2. Connect your site to Vidlinkr</h3>

<?php if (null !== Vidlinkr::getSuccessMessage()): ?>
<div class="message updated fade">
<p><?php echo Vidlinkr::getSuccessMessage(); ?></p>
</div>
<?php endif; ?>

<?php if (null !== Vidlinkr::getErrorMessage()): ?>
<div class="message error fade">
<p>An error occurred: <?php echo Vidlinkr::getErrorMessage(); ?></p>
</div>
<?php endif; ?>

<?php if (null == Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)): // begin if there is no private API key set ?>
<p>Once you’ve created a Vidlinkr account, enter your details below and click "Connect to Vidlinkr".</p>
<p>Your email address and password are sent to our API server via a secure HTTPS connection and are not stored in WordPress.</p>
<form method="post">
<table>
<tbody>
	<tr>
		<td>Email</td>
		<td><input size="32" type="text" id="<?php echo Vidlinkr::FORM_KEY_EMAIL; ?>" name="<?php echo Vidlinkr::FORM_KEY_EMAIL; ?>" /></td>
	</tr>
	<tr>
		<td>Password</td>
		<td><input size="32" type="password" id="<?php echo Vidlinkr::FORM_KEY_PASSWORD; ?>" name="<?php echo Vidlinkr::FORM_KEY_PASSWORD; ?>" /></td>
	</tr>
</tbody>
</table>
<p class="submit"><input class="button-primary" type="submit" value="Connect to Vidlinkr" /></p>
</form>
<?php endif; // end if there is no private API key set ?>

<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)): // begin if there is a private API key set ?>
<p><strong>You are connected to Vidlinkr</strong>.</p>
<p id="vidlinkr_settings_link"><a href="#" onclick="jQuery('#vidlinkr_settings').fadeToggle('slow');return false;">Show / hide settings</a></p>
<table id="vidlinkr_settings" class="widefat" style="display:none;">
<thead>
	<tr><th>Setting</th><th>Value</th></tr>
</thead>
<tbody>
<tr>
	<td>Private API Key</td>
	<td><?php echo Vidlinkr::getObscuredApiKey(Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)); ?></td>
</tr>
<tr>
	<td>Website URL</td>
	<td><?php echo Vidlinkr::getWebsiteUrl(); ?></td>
</tr>
<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_WEBSITE_ID)): ?>
<tr>
	<td>Website Id</td>
	<td><?php echo Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_WEBSITE_ID); ?></td>
</tr>
<?php endif; ?>
<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PUBLISHER_ID)): ?>
<tr>
	<td>Publisher Id</td>
	<td><?php echo Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PUBLISHER_ID); ?></td>
</tr>
<?php endif; ?>
</table>
<?php endif; // end if there is a private API key set ?>

<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_WEBSITE_ID)): // begin if there is a website id set ?>
<h3>3. Manage your videos</h3>
<p>Now you’ve connected your WordPress site to Vidlinkr, <a target="vidlinkr_install" href="http://install.coull.com/videos?referer=wpplugin&website_id=<?php echo Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_WEBSITE_ID); ?>">click here to visit the Vidlinkr dashboard and manage your videos</a>.</p>
<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)): // begin if there is a private API key set ?>
<hr />
<form method="post">
<input type="hidden" id="<?php echo Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY; ?>" name="<?php echo Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY; ?>" value="" />
<p class="submit"><input class="button-primary" type="submit" value="Disconnect from your Vidlinkr account" /></p>
</form>
<?php endif; // end if there is a private API key set ?>
<?php endif; // end if there is a website id set ?>

</div>
